Public Class mapstile

    Private player20 As New MediaPlayer()

    Private Sub UserControl_Loaded(sender As Object, e As RoutedEventArgs)
        Try
            My.Settings.Reload()
        Catch

            My.Settings.mecolor = "#19A2DE"

            Dim bluecolor As Color = CType(ColorConverter.ConvertFromString(My.Settings.mecolor), Color)
            mapst.Background = New System.Windows.Media.SolidColorBrush(bluecolor)
        End Try

        Dim colortilemapstileuaTimer = New System.Windows.Threading.DispatcherTimer()
        AddHandler colortilemapstileuaTimer.Tick, AddressOf colortilemapstileuaTimer_Tick
        colortilemapstileuaTimer.Interval = New TimeSpan(0, 0, 1)
        colortilemapstileuaTimer.Start()
    End Sub

    Private Sub colortilemapstileuaTimer_Tick(sender As Object, e As EventArgs)
        Try
            Dim mytilecolor As Color = CType(ColorConverter.ConvertFromString(My.Settings.mecolor), Color)
            mapst.Background = New System.Windows.Media.SolidColorBrush(mytilecolor)
        Catch
        End Try
    End Sub

    Private Sub UserControl_MouseLeftButtonUp(sender As Object, e As MouseButtonEventArgs)
        PlayAccentSound()
        Process.Start("www.google.nl/maps")
    End Sub

    Private Sub PlayAccentSound()
        Try
            player20.Volume = 1.0
            player20.Open(New Uri("beltonen/wp7_pressed.mp3", UriKind.Relative))
            player20.Play()
        Catch ex As Exception
            MessageBox.Show("Error playing sound: " & ex.Message)
        End Try
    End Sub

End Class
